Subject: Re: fsx tests on DAX started to fail with msync failure on 0307 -next tree

From: Ross Zwisler <ross.zwisler-VuQAYsv1563Yd54FQh9/[email-masked]>
Date: Thu, 16 Mar 2017 09:53:35 -0600

On Tue, Mar 14, 2017 at 11:36:10AM -0600, Ross Zwisler wrote:
> On Tue, Mar 14, 2017 at 10:56:42AM +0800, Xiong Zhou wrote:
> > Hi,
> > 
> > xfstests cases:
> > generic/075 generic/112 generic/127 generic/231 generic/263
> > 
> > fail with DAX, pass without it. Both xfs and ext4.
> > 
> > It was okay on 0306 -next tree.
> 
> Thanks for the report.  I'm looking into it.  -next is all kinds of broken.
> :(

Just FYI, in case folks are still testing -next:

One other issue that I was hitting was that for many of the commits in -next
kernel modules wouldn't load, which meant that my /dev/pmem0 device wasn't
showing up because I have libnvdimm compiled as a module.

I bisected that issue to this commit:

commit d1091c7fa3d5 ("objtool: Improve detection of BUG() and other dead
ends")

It looks like Xiong also found this issue:

https://lkml.org/lkml/2017/3/2/114

And Linus found it:

https://lkml.org/lkml/2017/2/28/794

- Ross